# -*- coding: utf-8 -*-
%define	version	0.9.0beta1
%define release alt1

Name: picard-qt
Summary: MusicBrainz tagger (Qt GUI)
Summary(ru_RU.UTF-8): Тэггер MusicBrainz (Qt GUI)
Version: %version
Release: %release.1
Source: picard-%version.tar.gz
License: GPL
Group: Sound
Url: http://musicbrainz.org/doc/PicardQt
Packager: Mikhail Yakshin <greycat@altlinux.org>

#Patch: %name-no-locales.patch.gz

Conflicts: picard

# Hard requirements
BuildRequires: python python-dev rpm-build-python gcc-c++
%py_package_requires mutagen PyQt4

# Optional requirements: feel free to omit any, if anything breaks
BuildRequires: libofa-devel libexpat-devel libavformat-devel libavcodec-devel zlib-devel
BuildRequires: libdiscid-devel

%description
The project code-named Picard is the next generation MusicBrainz tagging
application. This new tagging concept is Release oriented, as opposed to
track oriented like the ClassicTagger was. Picard is written in Python,
which is a cross-platform language - this allows the same code to run
both on Windows and on Linux.

PicardQt is a new version of PicardTagger, written using [WWW] Qt as the
GUI toolkit. It also includes implementations of a few new ideas, such
as IntuitivePicardInterface or TaggerScript.

%prep
%setup -q -n picard-%version
#%patch -p0

%build
rm -Rf installer

env CFLAGS="$RPM_OPT_FLAGS -fPIC"
%add_optflags -D__STDC_CONSTANT_MACROS

%__python setup.py config
%__python setup.py build --disable-autoupdate --disable-locales

%install
%__python setup.py install --root=%buildroot --optimize=2 --record=INSTALLED_FILES --disable-autoupdate --disable-locales

# Install all python files and locales
#%__mkdir_p %buildroot%python_sitelibdir/picard %buildroot%_bindir %buildroot%_datadir
#cp -R browser lib ui tagger.py %buildroot%python_sitelibdir/picard

# Fix icons
%__mkdir_p %buildroot{%_miconsdir,%_niconsdir}
mv %buildroot%_iconsdir/picard-16.png %buildroot%_miconsdir/%name.png
mv %buildroot%_iconsdir/picard-32.png %buildroot%_niconsdir/%name.png
mv %buildroot%_desktopdir/picard.desktop %buildroot%_desktopdir/%name.desktop
%__subst 's,^Icon=picard-32.png$,Icon=%name.png,' %buildroot%_desktopdir/%name.desktop

# Fix INSTALLED_FILES to reflect our changes
%__subst 's,%_iconsdir/picard-16.png,%_miconsdir/%name.png,' INSTALLED_FILES
%__subst 's,%_iconsdir/picard-32.png,%_niconsdir/%name.png,' INSTALLED_FILES
%__subst 's,%_desktopdir/picard.desktop,%_desktopdir/%name.desktop,' INSTALLED_FILES

# LOCALES ARE BUGGY: %files -f LOCALE_FILES
#%files
#attr(0755,root,root) %_bindir/*
#%python_sitelibdir/picard

%files -f INSTALLED_FILES
%doc AUTHORS.txt COPYING.txt NEWS.txt INSTALL.txt

%post
%update_menus

%postun
%clean_menus

%changelog
* Fri Jan 25 2008 Grigory Batalov <bga@altlinux.ru> 0.9.0beta1-alt1.1
- Rebuilt with python-2.5.

* Sun Oct 28 2007 Mikhail Yakshin <greycat@altlinux.org> 0.9.0beta1-alt1
- 0.9.0beta1

* Sat Oct 27 2007 Mikhail Yakshin <greycat@altlinux.org> 0.9.0alpha14-alt1
- 0.9.0alpha14

* Sun Mar 18 2007 Mikhail Yakshin <greycat@altlinux.org> 0.9.0alpha4-alt2
- Added acoustic fingerprinting support (libofa, ffmpeg)
- Added CD DiscID support (libdiscid)

* Sun Mar 18 2007 Mikhail Yakshin <greycat@altlinux.org> 0.9.0alpha4-alt1
- Initial build for ALT Linux
